{
  "$id": "http://example.com/example.json",
  "type": "object",
  "properties": {
    "nodata": {
      "$id": "/properties/nodata",
      "type": "boolean",
      "title": "The Nodata Schema "
    },
    "valid": {
      "$id": "/properties/valid",
      "type":  ["boolean", "null"],
      "title": "The Valid Schema "
    },
    "ctime": {
      "$id": "/properties/ctime",
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "$gte": {
          "$id": "/properties/ctime/properties/$gte",
          "type": "string",
          "title": "The $gte Schema "
        },
        "$lte": {
          "$id": "/properties/ctime/properties/$lte",
          "type": "string",
          "title": "The $lte Schema "
        }
      }
    },
    "criterias": {
      "$id": "/properties/criterias",
      "type": "array",
      "minItems": 1,
      "items": {
        "$id": "/properties/criterias/items",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "$id": "/properties/criterias/items/properties/id",
            "type": "string",
            "title": "The Id Schema "
          }
        },
        "required": [
          "id"
        ]
      }
    }
  },
  "required": [
    "criterias"
  ]
}